From 236ed51656a653fd59953324c977798863f721fe Mon Sep 17 00:00:00 2001
From: mc2zk <mc2zk@git.zephyr-software.com>
Date: Fri, 15 Dec 2017 16:29:50 +0000
Subject: [PATCH] Adding assurance_case_evidence plugin

Former-commit-id: 23c7d62ff4590ffa1fd24d4187a03868f8ce97d3
---
 .gitattributes                             |  1 +
 plugins_install/assurance_case_evidence.sh | 13 +++++++++++++
 2 files changed, 14 insertions(+)
 create mode 100755 plugins_install/assurance_case_evidence.sh

diff --git a/.gitattributes b/.gitattributes
index 744bbaafd..4a83ec16e 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -855,6 +855,7 @@ pebliss/trunk/tests/tests_utils/tests_utils.vcproj -text
 pebliss/trunk/tests/tests_utils/tests_utils.vcxproj -text
 pebliss/trunk/tests/tests_utils/tests_utils.vcxproj.filters -text
 plugins_install/add_confinement_section.sh -text
+plugins_install/assurance_case_evidence.sh -text
 plugins_install/cgc_optimize_start.sh -text
 plugins_install/concolic.sh -text
 plugins_install/controlled_exit.sh -text
diff --git a/plugins_install/assurance_case_evidence.sh b/plugins_install/assurance_case_evidence.sh
new file mode 100755
index 000000000..c10f2f7b8
--- /dev/null
+++ b/plugins_install/assurance_case_evidence.sh
@@ -0,0 +1,13 @@
+#!/bin/bash -x
+
+# check for the logs directory
+if [ -d logs ]; then
+	# Gather the relevant lines and print to stdout
+	grep -h ATTRIBUTE logs/* | grep :: | sed "s/# ATTRIBUTE//g"
+
+else
+	echo "ERROR: assurance_case_evidence: no logs directory."
+	exit 1
+fi
+
+exit 0
-- 
GitLab